package capitulo05.bloque02.articulosComestibles;

public class ArticuloPerecedero extends Articulo{
    private String fecha;

    public ArticuloPerecedero() {
    }

    public ArticuloPerecedero(String fecha) {
        this.fecha = fecha;
    }

    public ArticuloPerecedero(int codigo, String nombre, float precio, String fecha) {
        super(codigo, nombre, precio);
        this.fecha = fecha;
    }

    public String getFecha() {
        return fecha;
    }

    public void setFecha(String fecha) {
        this.fecha = fecha;
    }

    @Override
    public String toString() {
        return "ArticuloPerecedero{" +
                "codigo=" + super.getCodigo() +
                ", nombre='" + super.getNombre() + '\'' +
                ", precio=" + super.getPrecio() +
                ", fecha='" + fecha + '\'' +
                '}';
    }
}
